#!/bin/sh

# jops fava

JOPS_SMTP="smtp://smtp.porcod.io:587"
JOPS_FROM=""
JOPS_AUTH_USER=""
JOPS_AUTH_PASS=""
JOPS_MAIL="jops@riseup.net"
JOPS_STALKER_MAIL=""

[ -f config.sh ] && source config.sh

mailcmd(){
    mail -s "$1" \
	 -S smtp-use-starttls   \
	 -S ssl-verify=ignore   \
	 -S smtp-auth=login     \
	 -S smtp=$JOPS_SMTP     \
	 -S from=$JOPS_FROM     \
	 -S smtp-auth-user=$JOPS_AUTH_USER     \
	 -S smtp-auth-password=$JOPS_AUTH_PASS \
	 -S ssl-verify=ignore                  \
	 -S nss-config-dir=/etc/pki/nssdb/     \
	 "$2"
}

# Modulo 1: porcoddio aggiorna
gogs_latest_version=$(curl -s 'https://github.com/gogits/gogs/releases/latest' -I |
        grep Location:|  # Location: https://github.com/gogits/gogs/releases/tag/v0.11.4
        awk -F/ '{ print $NF }'| # v0.11.4
        cut -c 2-)  # 0.11.4
version=$(wget -O- http://git.lattuga.net/ 2>/dev/null| grep Version | cut -d ' ' -f 6)

if [ "$version" != "$gogs_latest_version" ];
then
    echo "PORCOILTUODIO" | mailcmd "Aggiorna lattuga!" "$JOPS_MAIL"
    echo "sent version" >> /tmp/jops
else
    [ -n "$JOPS_STALKER_MAIL" ] && echo "yeah" | mailcmd "Lattuga aggiustato!" "$JOPS_STALKER_MAIL"
fi

# Modulo 2: l'https fatto bene
if wget -O- https://git.lattuga.net/ 2>/dev/null| fgrep -w og:url | fgrep -q http://git.lattuga.net
then
    echo "PORCOILTUODIO" | mailcmd "Metti https nel ROOT_URL di lattuga!" "$JOPS_MAIL"
    echo "sent https" >> /tmp/jops
else
    [ -n "$JOPS_STALKER_MAIL" ] && echo "yeah" | mailcmd "Lattuga aggiustato!" "$JOPS_STALKER_MAIL"
fi
#porcodddio
